# ``DoxyLibrary``

A library that provides the **Doxy** service builder to the `DoxyApp` executable target.

## Overview

The library, in a nutshell, provides a public builder that creates a fully configured [Hummingbird](https://hummingbird.codes) 
application that is ready-to-use by the `DoxyApp` executable target.

In addition, all the business logic required by the `DocC` archives controller that provides the necessary resources, 
and the `DocC` middleware that proxies the contents of documentation archives in the local machine is being implemented 
in this target, including all its relevant protocols and types. Plus, the unit tests for every type implemented in this
target are being written in the `DoxyTests` target.

## Topics

### Builders 🔓

- ``AppBuilder``
- ``AppArguments``

### Controllers 🔐

- ``ArchiveController``

### Middlewares 🔐

- ``DocCMiddleware``
- ``PathProvider``
- ``AssetPrefix``
- ``IndexPrefix``
- ``StaticFile``
- ``Pathable``

### Models 🔐

- ``ArchiveList``

### Services 🔐

- ``FileService``
- ``FileServicing``
- ``FileServiceError``
